ur_rna.Utilities

## Class CharType

- java.lang.Object
- - ur_rna.Utilities.CharType

-     public final class CharType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL` All character types.
    `static int` | `ALPHA`
    `static int` | `ALPHA_NUM`
    `static int` | `BACKSLASH`
    `static int` | `COMMA`
    `static int` | `CONTROL` ASCII Control codes (#0 to #31 and #127, but NOT including the white space charcters TAB=#9, LF=#10, and CR=#13).
    `static int` | `DECIMAL_NUMBER`
    `static int` | `DIGITS` '0'-'9'
    `static int` | `DOT`
    `static int` | `DOUBLE_QUOTES` Double quotes (")
    `static int` | `EXT_ASCII` Extended ASCII characters (129-255)
    `static int` | `LOWER_ALPHA` a-z
    `static int` | `MISC_SYMBOLS` Lower-ASCII Symbols not accounted for by any other flag.
    `static int` | `NEWLINE` CR and LF
    `static int` | `NON_PRINTABLE` Non-printable characters, including control characters, TAB, CR, and LF.
    `static int` | `NONE`
    `static int` | `PUNCTUATION`
    `static int` | `QUOTES` Single (') and double (") quotes.
    `static int` | `SINGLE_QUOTE` Single quotes (')
    `static int` | `SLASH`
    `static int` | `SPACE` The space character (#32)
    `static int` | `SYMBOLS` All Lower-ASCII symbols.
    `static int` | `TAB` The tab character (#9)
    `static int` | `UNDERSCORE`
    `static int` | `UPPER_ALPHA` A-Z
    `static int` | `WHITESPACE` Whitespace characters: TAB, CR, LF, and SPACE
    `static int` | `WORD_CHARS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `CharType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static final int ALL

      All character types.
      See Also:
        Constant Field Values

    - #### ALPHA

          public static final int ALPHA

      See Also:
        Constant Field Values

    - #### ALPHA_NUM

          public static final int ALPHA_NUM

      See Also:
        Constant Field Values

    - #### BACKSLASH

          public static final int BACKSLASH

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### CONTROL

          public static final int CONTROL

      ASCII Control codes (#0 to #31 and #127, but NOT including the white space charcters TAB=#9, LF=#10, and CR=#13).
      See Also:
        Constant Field Values

    - #### DECIMAL_NUMBER

          public static final int DECIMAL_NUMBER

      See Also:
        Constant Field Values

    - #### DIGITS

          public static final int DIGITS

      '0'-'9'
      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### DOUBLE_QUOTES

          public static final int DOUBLE_QUOTES

      Double quotes (")
      See Also:
        Constant Field Values

    - #### EXT_ASCII

          public static final int EXT_ASCII

      Extended ASCII characters (129-255)
      See Also:
        Constant Field Values

    - #### LOWER_ALPHA

          public static final int LOWER_ALPHA

      a-z
      See Also:
        Constant Field Values

    - #### MISC_SYMBOLS

          public static final int MISC_SYMBOLS

      Lower-ASCII Symbols not accounted for by any other flag.
      See Also:
        Constant Field Values

    - #### NEWLINE

          public static final int NEWLINE

      CR and LF
      See Also:
        Constant Field Values

    - #### NON_PRINTABLE

          public static final int NON_PRINTABLE

      Non-printable characters, including control characters, TAB, CR, and LF.
      See Also:
        Constant Field Values

    - #### NONE

          public static final int NONE

      See Also:
        Constant Field Values

    - #### PUNCTUATION

          public static final int PUNCTUATION

      See Also:
        Constant Field Values

    - #### QUOTES

          public static final int QUOTES

      Single (') and double (") quotes.
      See Also:
        Constant Field Values

    - #### SINGLE_QUOTE

          public static final int SINGLE_QUOTE

      Single quotes (')
      See Also:
        Constant Field Values

    - #### SLASH

          public static final int SLASH

      See Also:
        Constant Field Values

    - #### SPACE

          public static final int SPACE

      The space character (#32)
      See Also:
        Constant Field Values

    - #### SYMBOLS

          public static final int SYMBOLS

      All Lower-ASCII symbols.
      See Also:
        Constant Field Values

    - #### TAB

          public static final int TAB

      The tab character (#9)
      See Also:
        Constant Field Values

    - #### UNDERSCORE

          public static final int UNDERSCORE

      See Also:
        Constant Field Values

    - #### UPPER_ALPHA

          public static final int UPPER_ALPHA

      A-Z
      See Also:
        Constant Field Values

    - #### WHITESPACE

          public static final int WHITESPACE

      Whitespace characters: TAB, CR, LF, and SPACE
      See Also:
        Constant Field Values

    - #### WORD_CHARS

          public static final int WORD_CHARS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CharType

          private CharType()